package com.jeeplus.finance.invoice.domain.OMS;
import org.hibernate.validator.constraints.NotBlank;

import javax.validation.constraints.Size;

/**
 * 二手车发票关联的二手车销售统一发票信息子实体类
 * 特定要素为31时必传，15时选传，只能有一组信息；二手车发票明细只能有一行
 */
public class UsedCar {
    /**
     * 关联的二手车销售统一发票数电发票号码
     * 必填，最大20字符
     */
    @NotBlank(message = "关联的二手车销售统一发票数电发票号码allEinVno不能为空")
    @Size(max = 20, message = "关联的数电发票号码长度不能超过20字符")
    private String allEinVno;

    /**
     * 关联的二手车销售统一发票纸质发票代码
     * 选填，最大12字符（或10字符）
     */
    @Size(max = 12, message = "关联的纸质发票代码长度不能超过12字符")
    private String invcode;

    /**
     * 关联的二手车销售统一发票纸质发票号码
     * 选填，最大8字符
     */
    @Size(max = 8, message = "关联的纸质发票号码长度不能超过8字符")
    private String invno;

    public String getAllEinVno() {
        return allEinVno;
    }

    public void setAllEinVno(String allEinVno) {
        this.allEinVno = allEinVno;
    }

    public String getInvcode() {
        return invcode;
    }

    public void setInvcode(String invcode) {
        this.invcode = invcode;
    }

    public String getInvno() {
        return invno;
    }

    public void setInvno(String invno) {
        this.invno = invno;
    }
}
